!{\src2tex{textfont=tt}}
!!****f* ABINIT/deducer0
!! NAME
!! deducer0
!!
!! FUNCTION
!! Deduce value at r=0 of a function from r1, r2, r3
!!
!! COPYRIGHT
!! Copyright (C) 1998-2007 ABINIT group (MT)
!! This file is distributed under the terms of the
!! GNU General Public License, see ~ABINIT/Infos/copyright
!! or http://www.gnu.org/copyleft/gpl.txt .
!! For the initials of contributors, see ~ABINIT/Infos/contributors .
!!
!! INPUTS
!!  pawrad= radial grid definitions
!!
!! SIDE EFFECTS
!!  ff(4)= four first points of input function - only ff(1) is modified here
!!
!! PARENTS
!!      calc_dij0,rdusps2,wrpawps
!!
!! CHILDREN
!!
!! SOURCE

 subroutine deducer0(ff,pawrad)

 use defs_basis
 use defs_pawps

 implicit none

!Arguments ------------------------------------
 real(dp) :: ff(4)
 type(pawrad_type)   :: pawrad

!Local variables-------------------------------4

!-------------------------------------------------------

 ff(1)=ff(4)+3.d0*(ff(2)-ff(3))

 end subroutine
!!***
