!{\src2tex{textfont=tt}}
!!****f* ABINIT/rdfromline
!! NAME
!! rdfromline
!!
!! FUNCTION
!! Read the value of a keyword from a XML line
!!
!! COPYRIGHT
!! Copyright (C) 1998-2007 ABINIT group (MT)
!! This file is distributed under the terms of the
!! GNU General Public License, see ~ABINIT/Infos/copyright
!! or http://www.gnu.org/copyleft/gpl.txt .
!! For the initials of contributors, see ~ABINIT/Infos/contributors .
!!
!! INPUTS
!!  keyword= keyword which value has to be read
!!  line= string from which the data are read (line from a XML)
!!
!! OUTPUT
!!  ierr= error code
!!  output= (string) value of the keyword
!!
!! PARENTS
!!      rdpawps1,rdpawps2
!!
!! CHILDREN
!!
!! SOURCE

 subroutine rdfromline(keyword,line,output,ierr)

 use defs_basis

 implicit none

!Arguments ---------------------------------------------
  character*(*) :: keyword,line,output
  integer :: ierr

!Local variables ---------------------------------------
  character*(fnlen) :: temp
  integer :: pos,pos2

! *********************************************************************

  ierr=1;output=""
  pos=index(line,trim(keyword))
  if (pos>0) then
   temp=line(pos+len_trim(keyword):len_trim(line))
   pos=index(temp,char(34))
   if (pos>0) then
    pos2=index(temp(pos+1:len_trim(temp)),char(34))
    if (pos2>0) then
     output=temp(pos+1:pos+pos2-1)
    endif
   endif
  endif
 end subroutine
!!***
